# Interface PlayerConfiguration

interface PlayerConfiguration {
abr: AbrConfiguration;
brightcove: BrightcoveConfiguration;
integrations: IntegrationsConfiguration;
network: PlayerNetworkConfiguration;
playback: PlaybackConfiguration;
playlist: PlaylistConfiguration;
ui: UiConfiguration;
}

#####
Index

### Properties

abr
brightcove
integrations
network
playback
playlist
ui

## Properties

### abr

abr: AbrConfiguration

### brightcove

brightcove: BrightcoveConfiguration

### integrations

integrations: IntegrationsConfiguration

### network

network: PlayerNetworkConfiguration

### playback

playback: PlaybackConfiguration

### playlist

playlist: PlaylistConfiguration

### ui

ui: UiConfiguration